%global srcname setuptools_scm_git_archive

Summary:        A setuptools_scm plugin that adds support for git archives
Name:           python-%{srcname}
Version:        1.4
Release:        4%{?dist}
License:        MIT
URL:            https://pypi.org/project/%{srcname}
Source0:        https://github.com/Changaco/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
This is a setuptools_scm plugin that adds support for git archives (for example
the ones GitHub automatically generates).

%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3-devel  python3-setuptools
BuildRequires:  python3-setuptools_scm  python3-pytest
Requires:       python3-setuptools_scm

Provides:        python3-%{srcname}

%description -n python3-%{srcname}
This is a setuptools_scm plugin that adds support for git archives (for example
the ones GitHub automatically generates).


%prep
%autosetup -n %{srcname}-%{version}

%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_build

%install
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%py3_install
rm -rf %{buildroot}/%{python3_sitelib}/%{srcname}-0-*.egg-info

%check
pytest-3 tests.py

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 18 2023 Feng Weiyao <wynnfeng@tencent.com> - 1.4-1
- initial build